Bug 1024499 - FEAT: Test tags should be added for new specifically-named tests
FEAT: Test tags should be added for new specifically-named tests
Status: VERIFIED
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
William Gomeringer
:
Depends On:
Blocks: 1016295
  Show dependency treegraph
 
Reported: 2013-10-29 15:26 EDT by Greg Nichols
Modified: 2016-07-05 14:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-20131120
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1032696 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add tags for network, usb, and wlan (3.67 KB, patch)
2013-11-20 10:15 EST, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2013-10-29 15:26:04 EDT
Description of problem:

It would be great if you could run all the new network tests via:

hwcert-backend run --tag network

and all the usb tests:

hwcert-backend run --tag usb

etc.


Version-Release number of selected component (if applicable):

hwcert-client 1.7.0
Comment 1 Greg Nichols 2013-11-20 10:15:35 EST
Created attachment 826698 [details]
patch to add tags for network, usb, and wlan

With this patch, tests can be run via general categories for tests that have been broken down into specific test types.   For example, to run all network tests, the following command line can be used:

>hwcert-backend run --tag network

This will run any of the rate-specific network tests (1GigEthernet, 10GigEthernet, WirelessG).

Similarly, to run any USB-related test use:

>hwcert-backend run --tag usb

And for wlan:

>hwcert-backend run --tag wlan

Note You need to log in before you can comment on or make changes to this bug.